%global _empty_manifest_terminate_build 0
Name:           python-pydot
Version:        1.4.2
Release:        1
Summary:        Python interface to Graphviz's Dot
License:        MIT
URL:            https://github.com/pydot/pydot
Source0:        https://files.pythonhosted.org/packages/13/6e/916cdf94f9b38ae0777b254c75c3bdddee49a54cc4014aac1460a7a172b3/pydot-1.4.2.tar.gz
BuildArch:      noarch
%description
pydot written in pure Python is an interface to Graphviz, can parse and dump into the DOT language used by GraphViz,
and networkx can convert its graphs to pydot.

%package -n python3-pydot
Summary:        Python interface to Graphviz's Dot
Provides:       python-pydot
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pyparsing
BuildRequires:  python3-chardet
%description -n python3-pydot
pydot written in pure Python is an interface to Graphviz, can parse and dump into the DOT language used by GraphViz,
and networkx can convert its graphs to pydot.

%package help
Summary:        Python interface to Graphviz's Dot
Provides:       python3-pydot-doc
%description help
pydot written in pure Python is an interface to Graphviz, can parse and dump into the DOT language used by GraphViz,
and networkx can convert its graphs to pydot.

%prep
%autosetup -n pydot-1.4.2

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
    find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
    find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
    find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
    find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%check
%{__python3} setup.py test

%files -n python3-pydot -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Fri Aug 06 2021 OpenStack_SIG <openstack@openeuler.org> - 1.4.2-1
- Update version to 1.4.2

* Mon Nov 23 2020 Python_Bot <Python_Bot@openeuler.org>
- Package Spec generated
